Subject: Re: G++ w/ C++ Exceptions
From: [email-masked] (Geoffrey Noer)

16 Apr 1997 20:13:21 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Paul Prescod)
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "Paul Prescod" at Apr 16, 97 10:25:52 am
X-Mailer: ELM [version 2.4 PL23]
Original-Sender: [email-masked]

Paul Prescod wrote:
[..]
> When I compile certain C++ objects with -fexceptions, G++ goes berserk,

Don't know about this one.

[...]
> And it goes on forever, until I hit Ctrl-C which may or may not cause
> Windows 95 to crash or Windows NT to launch Dr. Watson. (I presume
> that's a known bug too).

Yes, this is a known problem.  In beta 17.1, the 13th control-C will
force a TerminateProcess which will kill the hanging process and often
bash as well.

In the upcoming Beta 18 release, signals are much happier and control-C
actually does the right thing (for the most part anyhow).  The 13
control-Cs ugly hack is going away for good so don't get too used to it.
:-)

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".